//Disable $fn and $fa, do not change these
$fn=0;
$fa=0.01;
$fs=0.5;


//Feet copied from https://www.thingiverse.com/thing:1264391

m3r=1.6;
m3hr=3;
m3hh=2;


backthickness=3;
backheight=105+30+30;
backdepth=60;

railx0=15;
railx1=railx0+105+30;
raily0=(5*backdepth)/16;
raily1=(11*backdepth)/16;
raild=5.1;


Couleur1        = "Orange";       
Couleur2        = "OrangeRed";


PCBLength=50;
PCBWidth=70;
PCBOffset=3;

PCBPosX         = 34;
PCBPosY         = PCBLength;



PCBdx0=PCBOffset;
PCBdy0=PCBOffset;

PCBdx1=PCBOffset;
PCBdy1=PCBLength-PCBOffset;

PCBdx2=PCBWidth-PCBOffset;
PCBdy2=PCBLength-PCBOffset;

PCBdx3=PCBWidth-PCBOffset;
PCBdy3=PCBOffset;








FootHeight      = 7;

FootDia         = 6;


FootHole        = 1.9;  


module foot(FootDia,FootHole,FootHeight,Couleur1){
    Filet=2;
    color(Couleur1)   
    translate([0,0,0])
    difference(){
    
    difference(){
            //translate ([0,0,-Thick]){
                cylinder(d=FootDia+Filet,FootHeight, $fn=100);
                        //}
                    rotate_extrude($fn=100){
                            translate([(FootDia+Filet*2)/2,Filet,0]){
                                    minkowski(){
                                            square(10);
                                            circle(Filet, $fn=100);
                                        }
                                 }
                           }
                   }
            cylinder(d=FootHole,FootHeight+1, $fn=100);
               }          
}// Fin module foot
  
module Feet(){     
//////////////////// - PCB only visible in the preview mode - /////////////////////  
  
    
    translate([0,0,FootHeight])
    {
    
    %square ([PCBWidth,PCBLength]);
       translate([PCBWidth/2,PCBLength/2,0]){ 
        color("Olive")
        %text("PCB", halign="center", valign="center", font="Arial black");
       }
    } // Fin PCB 
  
    
////////////////////////////// - 4 Feet - //////////////////////////////////////////

    
    
    translate([PCBdx0,PCBdy0,0]){
        foot(FootDia,FootHole,FootHeight,"Yellow");
        }

    translate([PCBdx1,PCBdy1,0]){
        foot(FootDia,FootHole,FootHeight,"Yellow");
        }

    translate([PCBdx2,PCBdy2,0]){
        foot(FootDia,FootHole,FootHeight,"Yellow");
        }

    translate([PCBdx3,PCBdy3,0]){
        foot(FootDia,FootHole,FootHeight,"Yellow");
        }
        

        
       

}












module back()
{
 difference()
 {   
  translate([0,0,-backthickness])cube([backheight,backdepth,backthickness]);
    
  translate([railx0,raily0,-backthickness])cylinder(backthickness,d=raild);
     
  translate([railx1,raily0,-backthickness])cylinder(backthickness,d=raild);

  translate([railx0,raily1,-backthickness])cylinder(backthickness,d=raild);

  translate([railx1,raily1,-backthickness])cylinder(backthickness,d=raild);


  translate([25,backdepth/4,-backthickness])cube([(5.5*backheight)/18,backdepth/2,backthickness]);
     
   translate([90,backdepth/4,-backthickness])cube([(5.5*backheight)/18,backdepth/2,backthickness]);
    
     
     
 }   
}


back();
translate([(backheight-PCBWidth-10),(backdepth-PCBLength)/2,0])Feet();

translate([(backheight-2*PCBWidth-16),(backdepth-PCBLength)/2,0])Feet();

